Bug 218837 - net-p2p/couchpotato minor improvements
Summary: net-p2p/couchpotato minor improvements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-24 06:48 UTC by joshruehlig
Modified: 2017-04-26 12:38 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments
couchpotato patch (1.42 KB, patch)
2017-04-24 06:49 UTC, joshruehlig
joshruehlig: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joshruehlig 2017-04-24 06:48:47 UTC
Here are some minor improvements to this port.

* Removal of unneeded dependencies libcurl and docbook-xml. I think the CouchPotato README is not up-to-date for the FreeBSD dependencies.

* Addition of py-lxml, see message from log below
LXML not available, please install for better/faster scraping support: `http://lxml.de/installation.html`

* Addition of py-openssl, see message from log below
OpenSSL not available, please install for better requests validation: `https://pyopenssl.readthedocs.org/en/latest/install.html`: Traceback (most recent call last): File "/usr/local/share/couchpotato/couchpotato/core/_base/_core.py", line 84, in dependencies import OpenSSL ImportError: No module named OpenSSL

* Limit python to versions 2.6 and 2.7
* No need to hardcode service user in init script
* Add optional dependency unrar, see CouchPotato > Renamer (advanced) > Unrar
Comment 1 joshruehlig 2017-04-24 06:49:14 UTC
Created attachment 182033 [details]
couchpotato patch
Comment 2 Mark Felder freebsd_committer 2017-04-25 16:15:03 UTC
Would you like to take maintainership of this port? I no longer use it as I have migrated to Radarr.
Comment 3 joshruehlig 2017-04-25 19:53:57 UTC
(In reply to Mark Felder from comment #2)
Sure, I'm fine taking it over if you like. I do still use CouchPotato and would be willing review any bugs/requests.

If you want feel free to replace your email with mine in the diff, maybe we should also bump the PORTREVISION.
Comment 4 Mark Felder freebsd_committer 2017-04-25 21:11:09 UTC
Yes, portrevision should be bumped.

Critique of the patch:

python:2.6-2.7 is pointless because FreeBSD doesn't support python 2.6 for a long time. I will just make it python:2.7

rc script hardcoded user was intentional as it can't be overridden at build time in its current state, but your change is harmless

Any other thoughts before I hit the commit button?
Comment 5 joshruehlig 2017-04-25 21:12:58 UTC
Nope that all sounds fine with me.
Comment 6 Mark Felder freebsd_committer 2017-04-26 12:37:43 UTC
committed, thanks!
Comment 7 commit-hook freebsd_committer 2017-04-26 12:38:09 UTC
A commit references this bug:

Author: feld
Date: Wed Apr 26 12:37:31 UTC 2017
New revision: 439445
URL: https://svnweb.freebsd.org/changeset/ports/439445

Log:
  net-p2p/couchpotato: Port improvements

  - Remove unnecessary libcurl and docbook-xml dependencies
  - Add missing py-lxml and py-openssl dependencies for better performance
  - Force python requirement to 2.7
  - Add unrar as optional dependency
  - Remove hardcoded user in rc script
  - New MAINTAINER

  PR:		218837

Changes:
  head/net-p2p/couchpotato/Makefile
  head/net-p2p/couchpotato/files/couchpotato.in